/* RESET */
* {
	font-family: "Inter", sans-serif;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	list-style-type: none;
}


/* BASE */

body {
	background: #f2f2f2;
	overflow-x: hidden;
}

h2 {
	font-size: 2em;
}
h3 {
	font-size: 1.5em;
}
h4 {}

.wrap {
	width: 100%;
	max-width: 1248px;
	margin: 0 auto;
	padding: 0 1em;
	position: relative;
}

section {
    display: flex;
    align-items: center;
    justify-content: center;
}

body.home section {
	min-height: 100vh;
}

.buttons {
	display: flex;
	text-decoration: none;
	gap: 1em;
	padding: 1em;
	font-size: .8em;
	transition: opacity, .25s;
}

.buttons a {
	display: inline-block;
	text-decoration: none;
	padding: .75em;
	font-weight: 500;
	background: transparent;
	color: #202020;
	border: 1px solid #707070;
	transition: background, hover, .25s;
}
.buttons a:hover {
	background: #fff;
	color: #000;
}

.buttons a.active {
	background: #fff;
	color: #000;
	border: 1px solid red;
}

/* HEADER */
header {
	width: 100%;
	position: fixed;
	top: 0;
	left: 0;
	background: rgba(255, 255, 255, .9);
	padding: 1em;
	z-index: 1;
}
header .wrap {
	display: flex;
	justify-content: space-between;
	align-items: center;
}
header img {
	height: 2em;
}
header .burger {
  display: none;
  font-size: 1.5em;
  background: none;
  border: none;
  cursor: pointer;
  margin-left: auto;
}
header nav {}
header nav a {
	font-size: .85em;
    text-decoration: none;
    margin-left: 1em;
	color: #333;
}
header nav a:last-child {
	background: #000;
    color: #fff;
    padding: .5em;
}
header nav a.active {
	color: #000;
}
header nav a.active:last-child {
	color: #fff;
}

/* COVER */
#cover {
    width: 100%;
    height: 100vh;
    background-color: #838383;
	background-position: center center;
	background-size: cover;
	background-repeat: no-repeat;
    flex-direction: column;
    color: #fff;
    gap: 2em;
	position: relative;
	transform: scale(1);
	transition: transform, .25s;
}
#cover:hover {
	transform: scale(1.01);
}

#cover:before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: gray;
	opacity: 0;
	z-index: -1;
	transition: opacity, .2s;
}
#cover:hover:before {
	opacity: .75;
}

#cover h2 {
	font-size: 3em;
	filter: drop-shadow(2px 4px 6px black);
	opacity: .5;
}
#cover p {
	filter: drop-shadow(2px 4px 6px black);
	opacity: .5;
}

#cover h2, #cover p {
	opacity: .5;
	transition: opacity, .25s;
}

#cover:hover h2, #cover:hover p {
	opacity: 1;
}

#cover .buttons {
	opacity: 0;
}

#cover:hover .buttons {
	opacity: 1;
}

#cover .buttons a {
color: #fff;
	border: 1px solid #fff;
}

#cover .buttons a:hover {
	color: #000;
	border: 1px solid #000;
}

/* MAIN */
main {}

/* profile */
#profile {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	gap: 1em;
	padding: 5em 1em;
	text-align: center;
}
#profile .title {}
#profile h2 {}
#profile p {
	max-width: 600px;
}

#profile .companies {
	display: flex;
    gap: 1em;
	margin: 1em 0;
}
#profile .companies a {}
#profile .companies img {
	height: 2.1em;
	margin: 0 .5em;
	filter: grayscale(100%);
	transition: filter, .25s;
}
#profile .companies img:hover {
	filter: grayscale(0);
}

/* EXPERIENCE */

#experiences {
	display: flex;
	flex-direction: column;
	gap: 1em;
	align-items: baseline;
	overflow: hidden;
	height: 100vh;
}
#experiences .title {}
#experiences h2 {
	margin: .5em 0;
}
#experiences p {
	margin: .5em 0;
}

#experiences .list {
	height: 200px;
	overflow-y: hidden;
	margin: 5em 0 3em 0;
}
#experiences .list li {
	
	  flex: 0 0 auto;
  width: 200px;
  height: 100px;
      padding: .5em 1.5em .5em 0;
	  position: relative;
}

#experiences .list li:after {
	content: "";
	width: 10px;
	height: 10px;
	border-radius: 50%;
	background: #000;
	border: 3px solid #fff;
	position: absolute;
	left: 0;
}

#experiences .list li:nth-child(odd) {
border-bottom: 2px solid #000;
    display: flex;
    flex-direction: column;
    justify-content: end;
}
#experiences .list li:nth-child(odd):after {
	bottom: -.5em;
}
#experiences .list li:nth-child(even) {
	transform: translateY(calc(100% - 2px));
	border-top: 2px solid #000;
}
#experiences .list li:nth-child(even):after {
	top: -.5em;
}
#experiences .list li span {
	font-size: 1.2em;
}
#experiences .list li p {
	font-size: .8em;
	    margin: .5em 0;
}

#experiences .list {
  display: flex;
  overflow-x: auto;
  scroll-behavior: smooth;
}

#experiences .list::-webkit-scrollbar {
  height: 8px;
}
#experiences .list::-webkit-scrollbar-thumb {
  background: rgba(0,0,0,.5);
  border-radius: 4px;
}

/* COUNTERS */
#counters {}
#counters h2 {
	width: 50%;
	float: left;
	margin-top: 2px;
}
#counters p {
	width: 50%;
	float: right;
}

#counters .numbers {
	clear: both;
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr;
	padding-top: 3em;
}
#counters .numbers div {
	border-left: 1px solid #c7c7c7;
	padding: 0 2em 0 1em;
	display: flex;
	flex-direction: column;
	margin-bottom: 1em;
}
#counters .numbers span {
	font-size: 4em;
	position: relative;
	top: --.2em;
	left: -4px;
}
#counters .numbers p {
}


/* WORK */
#projects {
	flex-direction: column;
	width: 800px;
	margin: 0 auto;
	position: relative;
}
#projects .title {
	margin-bottom: 3em;
}

#projects .projects {
	width: 100%;
}

#projects .project {
    width: calc(100% - 2em);
    margin-left: 1em;
}

#projects .project h3 {
	text-align: center;
    margin-top: 0;
    transition: margin-top, .2s;
    padding: .5em 0;
	height: 2em;
} 

#projects .details {
  width: 800px;
  display: flex;
  flex-direction: row;
  background: #ffffff;
  margin-top: -3em;
  position: relative;
  opacity: 0;
  transform: translateX(1em);
  pointer-events: none;
  height: 3em;
  transition: opacity 0.2s ease, transform 0.2s ease;
}

#projects .project:hover .details {
  opacity: 1;
  transform: translateX(0);
  pointer-events: auto;
  height: auto;
}

#projects .details .info {
	width: 50%;
	padding: 1em;
	display: flex;
	flex-direction: column;
	gap: 1em;
	justify-content: center;
}
#projects .details .info h4 {}
#projects .details .info p {}
#projects .details .info a {
	text-decoration: none;
	border-bottom: 1px solid #000;
	padding-bottom: .25em;
	display: inline-block;
	color: #000;
	width: fit-content;
}

#projects .details .cover {
	width: 50%;
    background-position: 95% 45%;
    background-size: 35%;
    background-color: #ffffff;
    background-repeat: no-repeat;
}

/* BLOG */

#blog {
	display: flex;
	flex-direction: column;
	gap: 1em;
	align-items: baseline;
	overflow: hidden;
}
body.blog #blog {
	margin: 10em 0 5em 0;
}

#blog .title {}
#blog h2 {
	margin: .5em 0;
}
#blog p {
	margin: .5em 0;
}

#blog .buttons {
	position: absolute;
	top: -.5em;
	right: 0;
	padding: 0;
}

#blog .viewport {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
	gap: 1.5em;
	margin-top: 3em;
}

#blog .viewport > div {
	height: 400px;
	color: #fff;
	align-items: baseline;
}

#blog .viewport .cover {
	width: 100%;
	aspect-ratio: 16 / 9;
    background-size: cover;
    background-position: center;
    overflow: hidden;
}

#blog .viewport .info {
	display: flex;
	align-items: center;
	gap: 1em;
	margin: 1em 0;
}

#blog .viewport .category {
    background: #e6e6e6;
    color: #000;
    padding: .5em;
    font-size: .8em;
    border: 1px solid #c4c4c4;
}

#blog .viewport .time {
color: #000;
    font-size: .8em;
}

#blog .viewport h3 {
	color: #000;
}

#blog .viewport p {
	    color: #000;
		margin-bottom: 2em;
}
#blog .viewport a {
		text-decoration: none;
	padding-bottom: .25em;
	display: inline-block;
	color: #000;
	width: fit-content;
}

#blog .navigations {}

#blog .bullets {}
#blog .bullets span {}

#blog .arrows {}
#blog .arrows .prev {}
#blog .arrows .next {}


/* FOOTER */

footer {}

footer .wrap {

}

footer .top {
	width: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;
}
footer .top img {
	height: 2em;
}


footer .top .socials {}
footer .top .socials a {
	margin-left: .25em;
}
footer .top .socials svg {
	width: 1.5em;
	height: 1.5em;
}

footer .bottom {
	width: 100%;
	border-top: 1px solid #333;
	padding: 2em 0 6em 0;
	text-align: center;
	font-size: .85em;
}

footer .bottom .small {
	font-size: .85em;
}

/* =========================
   RESPONSIVE
========================= */

/* Small Desktop */

@media (max-width: 1248px) {
}

/* Tablet */

@media (max-width: 1024px) {

	#counters .numbers {
		grid-template-columns: 1fr 1fr 1fr;
	}
	
	#projects {
		width: 100%;
	}

}

/* Mobile */

@media (max-width: 768px) {
	
	.wrap {
		padding: 0;
	}
	
	footer .wrap {
		padding: 0 1em;
	}

	header {
		background: transparent;
	}

	header .burger {
		display: block;
	}
	
	header img {
		display: none;
	}

  header .wrap {
    position: relative;
  }

  nav {
		position: absolute;
		top: calc(100% + 1em);
		left: 0;
		width: 100%;
		background: rgb(243 243 243 / 95%);
		display: none;
		flex-direction: column;
		padding: .5em 0;
  }

  nav a {
    margin: .5em 0;
	width: calc(100% - 2em);
  }

  nav.active {
    display: flex;
  }

	section {
		height: auto;
		padding: 2em 1em;
		margin: 2em 0;
		border-bottom: 1px solid #777;
	}
	
	section#cover {
		margin-top: 0;
	}
	
	#cover h2 {
		margin-top: auto;
	}

#counters h2, #counters p {
	width: 100%;
	float: none;
}

	#counters .numbers {
		grid-template-columns: 1fr 1fr;
	}

	#counters .numbers div {
		flex-direction: row;
		align-items: center;
	}

		#projects .details {
			width: 100%;
			flex-direction: column;
		}
			
			#projects .details .info {
				width: 100%;
			}
			
			#projects .details .cover {
				display: none;
			}

	body.blog #blog {
		margin: 3em 0;
	}
	
}

/* Mobile ( very small ) */
@media (max-width: 560px) {

	#counters .numbers {
		grid-template-columns: 1fr;
	}

#blog {
    display: block;
    height: auto;
}

	#blog .track {
		display: block;
	}
	
	#block .track > div {
		margin-right: 0;
	}

}